Quassel IRC - Bug #855

When restarting Quassel with second default screen disconnected, the main Ul is hidden and can't
be restored

11/13/2009 06:54 PM - dazjorz

Status: New Start date: 11/11/2009
Priority: Normal Due date:

Assignee: EgS % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.5.0 0S: Mac OS X
Description

At home, | have a secondary display connected to my laptop, which | usually use for stuff that I'm not always paying attention to, but
that | want to look at now and then. My Quasselclient is one of those programs. However, | often take my laptop to other places.
Then, when | run Quassel, | get the small connecting dialog, but not the main window; it also doesn't appear later. I've clicked around
a few times, but never got it to show either. The only way to get it back, was using the Property Editor to open the binary
com.quassel-irc.whatever file in Preferences, and setting MainWindow.hidden (or something) to false. This last happened a few days
ago, and only now | have (or am taking) the time to bugreport this, that's why | don't remember exactly.

Hardware and software:
MacBook Pro running Mac OS X 10.5.7 (on Intel)
External screen connected over DVI cable

Steps to reproduce:

1) Run Quassel and put its main window on the secondary display

(Either quit it now, or keep it running, | don't remember, will try if it matters later)

2) Close the MacBook, so it hibernates

3) Disconnect the monitor, then take it somewhere far away, or just wait a minute

4) Reopen MacBook, quit Quassel if still running, then re-run; it will show the login screen but not the main screen

5) Quit Quassel again, change the Quassel properties with the Property Editor (the file is binary, so you can't do it with a regular text
editor) and set MainWindow.hidden or something similar from true to false

6) Restart Quassel, and see it running.

Apart from the bug itself, you should probably call .show() on all windows if you don't already. That way, you ensure they really
appear. I'll try if | can reproduce the bug with the steps above, tomorrow or tonight, I'll tell you the results in this bug report. If any of
you can reproduce already, please let me know too.

History

#1 - 11/13/2009 06:55 PM - Sputnick
- Assignee set to EgS

#2 - 12/12/2009 07:24 PM - miohtama

Somehow | managed to reproduce this with just one display on OSX Leopard
#3 - 12/12/2009 07:32 PM - miohtama

As a workaround you can delete
/Users/moo/Library/Preferences/org.quassel-irc.quasselclient.plist

#4 - 05/19/2010 10:29 PM - fuzzy76

| also ran into this today with a single display. Any news on this?

#5 - 09/17/2016 08:57 PM - ajkavanagh

Still happening. Better than deleting the plist file is to use the Property Editor with Xcode (just do "open org.quassel-irc.quasselclient.plist" from the
command line) search for "hidden' and change the "QtUi.MainWinHidden" key to NO (and save). Then restart Quassel client and the window will
reappear.
